<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:svg="http://www.w3.org/2000/svg"
	xmlns="http://www.w3.org/2000/svg"
	xmlns:math="http://exslt.org/math">

<xsl:include href="param.xslt"/>
<xsl:include href="path.xslt"/>
<xsl:variable name="advance">
<xsl:choose>
    <xsl:when test="$fixedWidth &gt; 0">
    <xsl:value-of select="$fixedWidth"/>
    </xsl:when>
    <xsl:otherwise>
    <xsl:value-of select="round($preGuard + 3 * $thickness + $postGuard)"/>
    </xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:variable name="overlap" select="0"/>

<xsl:template match="svg:g">
	<xsl:copy use-attribute-sets="gAttribs">
	<xsl:call-template name="u0049"/>
	</xsl:copy>
</xsl:template>

<xsl:template name="u0049">
	<xsl:param name="xOffset" select="0"/>
	<xsl:param name="yOffset" select="0"/>
    <xsl:element name="path" use-attribute-sets="pathAttribs">
    <xsl:attribute name="d">
    <xsl:choose>
        <xsl:when test="$fixedWidth &gt; 0">
            <xsl:call-template name="Move">
                <xsl:with-param name="x" select="$xOffset + round(.5 * $fixedWidth - 1.5 * $thickness)"/>
                <xsl:with-param name="y" select="$yOffset + $latinAscent"/>
            </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:call-template name="Move">
                <xsl:with-param name="x" select="$xOffset + $preGuard"/>
                <xsl:with-param name="y" select="$yOffset + $latinAscent"/>
            </xsl:call-template>
        </xsl:otherwise>
    </xsl:choose>
    <xsl:text>l</xsl:text><xsl:value-of select="3 * $thickness"/>
    <xsl:text>,0</xsl:text>
	<xsl:text>l0,</xsl:text><xsl:value-of select="-$thickness "/>
    <xsl:text>l</xsl:text><xsl:value-of select="-$thickness"/><xsl:text>,0</xsl:text>
    <xsl:text>l0,</xsl:text><xsl:value-of select="-$latinAscent  +2 * $thickness"/>
    <xsl:text>l</xsl:text><xsl:value-of select="$thickness"/><xsl:text>,0</xsl:text>
	<xsl:text>l0,</xsl:text><xsl:value-of select="-$thickness "/>
    <xsl:text>l</xsl:text><xsl:value-of select="-3 * $thickness"/><xsl:text>,0</xsl:text>
    <xsl:text>l0,</xsl:text><xsl:value-of select="$thickness "/>
    <xsl:text>l</xsl:text><xsl:value-of select="$thickness"/><xsl:text>,0</xsl:text>
	<xsl:text>l0,</xsl:text><xsl:value-of select="$latinAscent -2*$thickness "/>
    <xsl:text>l</xsl:text><xsl:value-of select="-$thickness"/><xsl:text>,0</xsl:text>
    <xsl:text>l0,</xsl:text><xsl:value-of select="$thickness "/>
	<xsl:call-template name="end"/>
    </xsl:attribute>
    </xsl:element>
</xsl:template>

</xsl:stylesheet>
